#
#	File:		GDX.make
#
#	Contains:	Make for the TemplateEZ & Template Graphics Driver
#
#	Written by:	Kevin Williams
#
#	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#
#		 <1>	 4/15/95	SW		First Checked In
#
#


# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#	GDX Graphics Drivers build dependencies
#

ObjDir = :Objects:
RsrcDir = {ObjDir}
LibDir = {ObjDir}
GDXDir = :
TemplateEZDir = :TemplateEZ:
TemplateDir = :Template:
SymOpt = off


StdPPCCOpts = -d TRUE=1 -d FALSE=0 -w all -appleext on -i {CIncludes}

.c.xcoff							.c
	Delete {Targ} -i
	PPCC {DepDir}{Default}.c -o {Targ} {StdPPCCOpts}




{ObjDir}							{GDXDir} {TemplateEZDir} {TemplateDir}



#GDX pseudo-target builds all GDX derivatives.
GDX																						
									"{RsrcDir}TemplateEZ.rsrc"							
									"{RsrcDir}Template.rsrc"



GDXLibraries			=																
									"{PPCLibraries}DriverServicesLib"						
									"{PPCLibraries}NameRegistryLib"					
									"{PPCLibraries}VideoServicesLib"					
									"{PPCLibraries}PCILib"							
									"{PPCLibraries}PPCCRuntime.o"
									

GraphicsCoreObjects		=																
									"{ObjDir}GraphicsOSS.c.xcoff"							
									"{ObjDir}GraphicsCore.c.xcoff"						
									"{ObjDir}GraphicsCoreControl.c.xcoff"					
									"{ObjDir}GraphicsCoreStatus.c.xcoff"					
									"{ObjDir}GraphicsCoreUtils.c.xcoff"




#Driver for TemplateEZ
TemplateEZObjects			=			{GraphicsCoreObjects}								
									"{ObjDir}GraphicsHALTemplateEZ.c.xcoff"


"{RsrcDir}TemplateEZ.rsrc"				"{LibDir}TemplateEZDriver"
	Echo 'read '''ndrv''' (101) "'{LibDir}'TemplateEZDriver";' |							
	Rez  -t 'rsrc' -c 'RSED' -o "{Targ}"


"{LibDir}TemplateEZDriver"				{TemplateEZObjects}
	PPCLink																				
									{GDXLibraries}										
									{TemplateEZObjects}									
									-export "DoDriverIO,TheDriverDescription"			
									-librename InterfaceLib.xcoff=InterfaceLib			
									-xm sharedlibrary									
									-sym {SymOpt}										
									-t 'ndrv' -c 'kevn'									
									-o {Targ}


#Driver for Template
TemplateObjects			=			{GraphicsCoreObjects}								
									"{ObjDir}GraphicsHALTemplate.c.xcoff"


"{RsrcDir}Template.rsrc"				"{LibDir}TemplateDriver"
	Echo 'read '''ndrv''' (101) "'{LibDir}'TemplateDriver";' |							
	Rez  -t 'rsrc' -c 'RSED' -o "{Targ}"


"{LibDir}TemplateDriver"				{TemplateObjects}
	PPCLink																				
									{GDXLibraries}										
									{TemplateObjects}									
									-export "DoDriverIO,TheDriverDescription"			
									-librename InterfaceLib.xcoff=InterfaceLib			
									-xm sharedlibrary									
									-sym {SymOpt}										
									-t 'ndrv' -c 'kevn'									
									-o {Targ}



"{ObjDir}GraphicsOSS.c.xcoff"															
									"{GDXDir}GraphicsOSS.h"								
									"{GDXDir}GraphicsCore.h"							
									"{GDXDir}GraphicsPriv.h"							
									"{CIncludes}Devices.h"								
									"{CIncludes}DriverServices.h"						
									"{CIncludes}Errors.h"								
									"{CIncludes}Files.h"								
									"{CIncludes}Interrupts.h"							
									"{CIncludes}NameRegistry.h"							
									"{CIncludes}Types.h"								
									"{CIncludes}VideoServices.h"

"{ObjDir}GraphicsCore.c.xcoff"															
									"{GDXDir}GraphicsCore.c"							
									"{GDXDir}GraphicsCore.h"							
									"{GDXDir}GraphicsPriv.h"							
									"{GDXDir}GraphicsCorePriv.h"						
									"{GDXDir}GraphicsCoreUtils.h"						
									"{GDXDir}GraphicsHAL.h"								
									"{CIncludes}Devices.h"								
									"{CIncludes}DriverServices.h"						
									"{CIncludes}Errors.h"								
									"{CIncludes}NameRegistry.h"							
									"{CIncludes}Types.h"								
									"{CIncludes}Video.h"


"{ObjDir}GraphicsCoreControl.c.xcoff" 													
									"{GDXDir}GraphicsCoreControl.h"						
									"{GDXDir}GraphicsCorePriv.h"						
									"{GDXDir}GraphicsPriv.h"							
									"{GDXDir}GraphicsCoreUtils.h"						
									"{GDXDir}GraphicsHAL.h"								
									"{GDXDir}GraphicsOSS.h"								
									"{CIncludes}DriverServices.h"						
									"{CIncludes}NameRegistry.h"							
									"{CIncludes}Types.h"								
									"{CIncludes}Video.h"


"{ObjDir}GraphicsCoreStatus.c.xcoff" 													
									"{GDXDir}GraphicsCoreStatus.h"						
									"{GDXDir}GraphicsCorePriv.h"						
									"{GDXDir}GraphicsPriv.h"							
									"{GDXDir}GraphicsCoreUtils.h"						
									"{GDXDir}GraphicsHAL.h"								
									"{GDXDir}GraphicsOSS.h"								
									"{CIncludes}Displays.h"								
									"{CIncludes}NameRegistry.h"							
									"{CIncludes}Types.h"								
									"{CIncludes}Video.h"


"{ObjDir}GraphicsCoreUtils.c.xcoff" 													
									"{GDXDir}GraphicsCoreUtils.h"						
									"{GDXDir}GraphicsPriv.h"							
									"{CIncludes}DriverServices.h"						
									"{CIncludes}Types.h"								
									"{CIncludes}Video.h"


#TemplateEZ HAL
"{ObjDir}GraphicsHALTemplateEZ.c.xcoff"													
									"{TemplateEZDir}GraphicsHALTemplateEZ.c"				
									"{GDXDir}GraphicsHAL.h"								
									"{GDXDir}GraphicsCore.h"							
									"{GDXDir}GraphicsCoreUtils.h"						
									"{GDXDir}GraphicsPriv.h"							
									"{GDXDir}GraphicsOSS.h"								
									"{CIncludes}Devices.h"								
									"{CIncludes}DriverServices.h"						
									"{CIncludes}Errors.h"								
									"{CIncludes}NameRegistry.h"							
									"{CIncludes}Types.h"								
									"{CIncludes}Video.h"								
									"{CIncludes}VideoServices.h"
	PPCC "{TemplateEZDir}GraphicsHALTemplateEZ.c" {StdPPCCOpts} -o "{Targ}" -i "{GDXDir}"



#Template HAL
"{ObjDir}GraphicsHALTemplate.c.xcoff"													
									"{TemplateDir}GraphicsHALTemplate.c"				
									"{GDXDir}GraphicsHAL.h"								
									"{GDXDir}GraphicsCore.h"							
									"{GDXDir}GraphicsCoreUtils.h"						
									"{GDXDir}GraphicsPriv.h"							
									"{GDXDir}GraphicsOSS.h"								
									"{CIncludes}Devices.h"								
									"{CIncludes}DriverServices.h"						
									"{CIncludes}Errors.h"								
									"{CIncludes}NameRegistry.h"							
									"{CIncludes}Types.h"								
									"{CIncludes}Video.h"								
									"{CIncludes}VideoServices.h"
	PPCC "{TemplateDir}GraphicsHALTemplate.c" {StdPPCCOpts} -o "{Targ}" -i "{GDXDir}"

