/*									DisplayAuditPPC.r							*/
/*
 * Display Audit
 * DisplayNameRegistry.r
 * Copyright  1994 Apple Computer Inc. All rights reserved.
 */
#ifndef SystemSevenOrLater
#define SystemSevenOrLater	1
#endif
#include "Types.r"
#include "SysTypes.r"
#include "CodeFragmentTypes.r"
#include "DisplayNameRegistry.h"
include "::DisplayNameRegistryIcons.rsrc";

resource 'vers' (1) {
	kVersionMajor, kVersionMinor, kVersionStage, kVersionRelease, verUS,
	$$format(
		"%d.%d%c%d",
		kVersionMajor, kVersionMinor, kVersionStageLetter, kVersionRelease
	),
	$$format(
		"%d.%d%c%d (%4d.%02d.%02d)\n 1992-%4d Apple Computer Inc. All Rights Reserved",
		kVersionMajor, kVersionMinor, kVersionStageLetter, kVersionRelease,
		$$year, $$month, $$day, $$year
	),
};

type kApplicationCreator as 'STR ';
resource kApplicationCreator (0, "Owner Resource", purgeable) {
	"Display Name Registry\n"
	" 1994-95 Apple Computer Inc. All Rights Reserved."
};

resource 'BNDL' (128) {
	kApplicationCreator,
	0,
	{
		'FREF',	{ 0, 128 },
		'ICN#',	{ 0, 128 }
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'STR#' (STRN_Options, "Options") {
	{
		"Courier",
		"10"
	}
};

resource 'DLOG' (DLOG_SetFontInfo, "Set Font Dialog", purgeable) {
		{   0,   0, 80, 226 },
		dBoxProc,
		invisible,
		noGoAway,
		0,
		DLOG_SetFontInfo,
		"",
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (DLOG_SetFontInfo, "Set Font Dialog", purgeable) {
	{
		{  50,150,  66, 214 },	Button		{ enabled, "OK"					},
		{  50, 80,  66, 140 },	Button		{ enabled, "Cancel"				},
#define kFontPopupRect		{   4,  4,  23, 216 }
		kFontPopupRect,			Control		{ enabled, CNTL_FontNamePopup	},
#define kFontSizePopupRect	{  26,  4,  47, 188 }
		kFontSizePopupRect,		Control		{ enabled, CNTL_FontSizePopup	},
	}
};

resource 'CNTL' (CNTL_FontNamePopup, preload, purgeable) {
	kFontPopupRect,						/* Must match DITL above			*/
	popupTitleLeftJust,					/* Left-justify						*/
	visible,
	41,									/* Title width						*/
	MENU_FontName,						/* Font menu						*/
	popupMenuCDEFProc,					/* It's a popup menu				*/
	0,									/* refCon, unused					*/
	"Fonts:"							/* Title							*/
};

resource 'MENU' (MENU_FontName, "Font Menu") {
	MENU_FontName,
	textMenuProc,
	allEnabled,
	enabled,
	"Fonts",
	{ }
};

resource 'CNTL' (CNTL_FontSizePopup, preload, purgeable) {
	kFontSizePopupRect,					/* Must match DITL above			*/
	popupTitleLeftJust | popupFixedWidth, /* Left-justify					*/
	visible,
	41,									/* Title width						*/
	MENU_FontSize,						/* Font Size menu					*/
	popupMenuCDEFProc,					/* It's a popup menu				*/
	0,									/* refCon, unused					*/
	"Size:"								/* Title							*/
};

resource 'MENU' (MENU_FontSize, "Font Size Menu") {
	MENU_FontSize,
	textMenuProc,
	allEnabled,
	enabled,
	"Size",
	{
		"9", noIcon, noKey, noMark, plain,
		"10", noIcon, noKey, noMark, plain,
		"12", noIcon, noKey, noMark, plain,
		"14", noIcon, noKey, noMark, plain,
		"16", noIcon, noKey, noMark, plain,
		"18", noIcon, noKey, noMark, plain,
		"24", noIcon, noKey, noMark, plain,
		"36", noIcon, noKey, noMark, plain,
	}
};


/*
 * This stub resource must be included in your application. Although it is
 * hard-coded 68000 instructions and the actual LDEF procedure may be compiled
 * into native Power PC code, the stub will run correctly on PowerPC.
 */
#ifndef LDEF_Stub
#define LDEF_Stub				1024
#endif
type 'LDEF' {
	unsigned hex longint = $41FA0006;	/*	lea		pc+8,a0	; a0 -> ProcPtr	*/
	unsigned hex int = $2050;			/*	movea.l	(a0),a0	; a0 -> LDEF	*/
	unsigned hex int = $4ED0;			/*	jmp		(a0)	; jump to it	*/
	unsigned hex longint = 0;			/*	dc.l	0		; LDEF ProcPtr	*/
};
resource 'LDEF' (LDEF_Stub, "Stub LDEF", preload, locked) { };

resource 'MBAR' (MBAR_MenuBar, "Menu Bar") {
	{
		MENU_Apple,
		MENU_File,
		MENU_Edit,
		MENU_Options,
	}
};

resource 'MENU' (MENU_Apple, "Apple Menu") {
	MENU_Apple,
	textMenuProc,
	allEnabled,
	enabled,
	apple,
	{
		"About Display Name Registry",	noIcon, noKey,	noMark, plain,
		"-",							noIcon, noKey,	noMark, plain
	}
};

resource 'MENU' (MENU_File, "File Menu") {
	MENU_File,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	
		"Save As",				noIcon, "S",	noMark, plain,
		"-",					noIcon, noKey,	noMark, plain,
		"Page Setup",			noIcon, noKey,	noMark, plain,
		"Print",				noIcon, "P",	noMark, plain,
		"-",					noIcon, noKey,	noMark, plain,
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (MENU_Edit, "Edit Menu") {
	MENU_Edit,
	textMenuProc,
	0x0,
	enabled,
	"Edit",
	{
		"Undo",					noIcon, "Z",	noMark, plain,
		"-",					noIcon, noKey,	noMark, plain,
		"Cut",					noIcon, "X",	noMark, plain,
		"Copy",					noIcon, "C",	noMark, plain,
		"Paste",				noIcon, "V",	noMark, plain,
		"Clear",				noIcon, noKey,	noMark, plain
	}
};

resource 'MENU' (MENU_Options, "Option Menu") {
	MENU_Options,
	textMenuProc,
	allEnabled,
	enabled,
	"Options",
	{	
		"Sort by Name",			noIcon, noKey,	noMark, plain,
		"Sort by Property",		noIcon, noKey,	noMark, plain,
		"-",					noIcon,	noKey,	noMark, plain,
		"Refresh Display",		noIcon, "R",	noMark,	plain,
		"Set Display Font",	noIcon,	noKey,	noMark, plain,
	}
};

resource 'DLOG' (DLOG_About, "About Display Audit") {
		{100, 80, 270, 422},
		dBoxProc,
		invisible,
		noGoAway,
		0x0,
		DLOG_About,
		"",
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (DLOG_About, "About Display Audit") {
	{
		{140, 260, 160, 322}, Button		{ enabled,	"OK"					},
		{ 10,  10, 136, 324}, StaticText	{ disabled,
			"Display Name Registry displays the System Name"
			" Registry on PCI-capable Power PC Macintosh computers.\n"
			"Written by Martin Minow, Developer Technical Support.\n"
			"Copyright  1992-94 Apple Computer Inc."
			" All rights reserved."
		},
	}
};

resource 'ALRT' (ALRT_NonFatalError, "Non-fatal Error") {
	{ 85, 85, 260, 400 },
	ALRT_NonFatalError,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
	},
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (ALRT_NonFatalError, "Non-fatal Error") {
	{
		{ 140, 240, 160, 305 },	Button		{ enabled, "Exit"					},
		{ 140, 140, 160, 230 },	Button		{ enabled, "Continue"				},
		{  26,  86, 130, 305 }, StaticText	{ disabled, "System Error ^0 (^1) ^2" },
	}
};

resource 'ALRT' (ALRT_FatalError, "Fatal Error") {
	{ 85, 85, 260, 400 },
	ALRT_FatalError,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
	},
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (ALRT_FatalError, "Fatal Error") {
	{
		{ 140, 240, 160, 305 },	Button		{ enabled, "Exit"					},
		{  26,  86, 130, 305 }, StaticText	{ disabled, "System Error ^0 (^1) ^2" },
	}
};


resource 'DLOG' (DLOG_SFPutFile, "Audit File Dialog", purgeable) {
		{  40,  40, 232+40, 312+40 },
		dBoxProc,
		invisible,
		noGoAway,
		0,
		DLOG_SFPutFile,
		"",
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (DLOG_SFPutFile, "Save File Dialog", preload, purgeable) {
	{
		{ 157, 218, 177, 298 },	Button		{ enabled, "Save"					},
		{ 128, 218, 148, 298 },	Button		{ enabled, "Dont Save"				},
		{ 136,  14, 152, 197 },	StaticText	{ disabled, "Save As:"				},
		{  29, 200,  49, 302 }, UserItem	{ enabled							},
		{  56, 218,  74, 298 }, Button		{ enabled, "Eject"					},
		{  82, 218, 100, 298 }, Button		{ enabled, "Drive"					},
		{ 157,  17, 173, 194 }, EditText	{ enabled, ""						},
		{  29,  14, 127, 197 }, UserItem	{ enabled							},
		/*
		 * Added items
		 */
		{ 192,  17, 208, 186 }, RadioButton	{ enabled, "Save All Entries"		},
		{ 212,  17, 228, 186 }, RadioButton	{ enabled, "Save Visible Entries"	},
	}
};

data 'mstr' (100, "MF Quit Menu") {
	"File"                                          /* File */
};

data 'mstr' (101, "MF Quit Item") {
	"Quit"                                          /* Quit */
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	1024 * 1024,
	2048 * 1024
};

resource 'acur' (ACUR_Animator, locked, preload) {
	{
		128, 129, 130, 131, 132, 133, 134, 135
	}
};

resource 'CURS' (128, locked, preload) {
	$"0000 0000 0000 7E7E 8181 8001 8001 8001"
	$"8001 8001 8001 8001 8001 8001 8181 FE7F",
	$"0000 0000 0000 7E7E FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FE7F",
	{8, 8}
};

resource 'CURS' (129, locked, preload) {
	$"0000 0000 000C 7E76 8185 8005 8005 8005"
	$"8005 8005 8005 8005 8005 8005 8189 FE7F",
	$"0000 0000 000C 7E7E FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FE7F",
	{8, 8}
};

resource 'CURS' (130, locked, preload) {
	$"0000 0000 0030 7E5E 8191 8011 8011 8011"
	$"8011 8011 8011 8011 8011 8011 81A1 FE7F",
	$"0000 0000 0030 7E7E FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FE7F",
	{8, 8}
};

resource 'CURS' (131, locked, preload) {
	$"0000 0000 00C0 7EFE 8141 8041 8041 8041"
	$"8041 8041 8041 8041 8041 8041 8181 FE7F",
	$"0000 0000 00C0 7EFE FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FE7F",
	{8, 8}
};

resource 'CURS' (132, locked, preload) {
	$"0000 0000 0300 7EFE 8201 8201 8201 8201"
	$"8201 8201 8201 8201 8201 8201 8181 FE7F",
	$"0000 0000 0300 7FFE FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FE7F",
	{8, 8}
};

resource 'CURS' (133, locked, preload) {
	$"0000 0000 0C00 7CFE 8B01 8801 8801 8801"
	$"8801 8801 8801 8801 8801 8801 8581 FE7F",
	$"0000 0000 0C00 7CFE FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FE7F",
	{8, 8}
};

resource 'CURS' (134, locked, preload) {
	$"0000 0000 3000 6CFE A301 A001 A001 A001"
	$"A001 A001 A001 A001 A001 A001 9181 FE7F",
	$"0000 0000 3000 7CFE FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FE7F",
	{8, 8}
};

resource 'CURS' (135, locked, preload) {
	$"0000 0000 0000 7CFE 8301 8001 8001 8001"
	$"8001 8001 8001 8001 8001 8001 8181 FE7F",
	$"0000 0000 0000 7CFE FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FE7F",
	{8, 8}
};

/*
 * All Power PC applications need a code-fragment resource that the code
 * fragment manager uses to facilitate dynamic fragment binding.
 */
#ifdef MPW	/* Metrowerks includes this by default */
resource 'cfrg' (0) {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"Display Name Registry"
	}
};
#endif
