/*								LoadDriverTest.h								*/
/*
 * LoadDriverTest.h
 * Copyright  1992-95, Apple Computer Inc. All Rights Reserved.
 * Programmed by Martin Minow,
 *	Internet:	minow@apple.com
 *	AppleLink:	MINOW
 *
 * Edit History
 */
#ifndef SystemSevenOrLater
#define SystemSevenOrLater	1
#endif

#define kVersionMajor		1
#define kVersionMinor		0
#define kVersionStage		beta	/* Res only */
#define kVersionStageLetter	'b'
#define kVersionRelease		4
#define kApplicationCreator	'MAM2'	/* Registered (?) application creator	*/

/*
 * Resource definitions
 */
#define MBAR_MenuBar		1
#define MENU_Apple			1
#define MENU_File			256
#define	MENU_Edit			257
#define DLOG_About			128
#define ALRT_NonFatalError	129
#define ALRT_FatalError		130
#define ALRT_FragLoadErr	131
#define ALRT_SymbolErr		132
#define ALRT_DriverOK		133
/*
 * I found this alert by inspection. It might not be there on your system.
 * To use it, do the following:
 *		ParamText("\pMessage", "\p", "\p", "\p");
 *		Alert(ALRT_Empty, NULL);
 */
#define ALRT_Empty	(-16411)	/* An empty Alert in the System File	*/

#define kOKButton				(1)
#define kCancelButton			(2)
#ifndef REZ

#include <ConditionalMacros.h>
#if GENERATINGPOWERPC == 0
	<< error: the following will not work >>
#endif
#include <Types.h>

#include <MixedMode.h>
#include <OSUtils.h>
#include <Files.h>
#include <QuickdrawText.h>
#include <QuickDraw.h>
#include <Events.h>
#include <Errors.h>
#include <Memory.h>
#include <Menus.h>
#include <Controls.h>
#include <Windows.h>
#include <TextEdit.h>
#include <Dialogs.h>
#include <MachineExceptions.h>
#include <PCI.h>
#include <Kernel.h>
#include <NameRegistry.h>
#include <CodeFragments.h>
#include <Devices.h>
#include <Fonts.h>
#include <Resources.h>
#include <LowMem.h>
#include <DriverServices.h>
#include <Devices.h>
#include <Interrupts.h>
#include <SCSI.h>
#include <ToolUtils.h>
#include <Printing.h>
#include <SegLoad.h>
#include <StandardFile.h>

#include "AppleEventCore.h"

#ifndef TRUE
#define TRUE		1
#define FALSE		0
#endif
#ifndef EXTERN
#define EXTERN		extern		/* Not in main program	*/
#endif
#define UNUSED(what) do {	\
			what;			\
		} while (0)

/*
 * These are the "SleepTime" parameters for WaitNextEvent. The idea is that we
 * sleep for a long time if we're in the background; for a short time if active.
 */
#define kForegroundTicks		6
#define kBackgroundTicks		60

enum AppleMenu {
	kAppleAbout			= 1
};

enum FileMenu {
	kFileOpen			= 1,
	kFileUnused1,
	kFileQuit
};

enum EditMenu {
	kEditUndo			= 1,
	kEditUnused,
	kEditCut,
	kEditCopy,
	kEditPaste,
	kEditClear
};

#define CheckStatus(errStatus, errMessage) do {			\
		if ((errStatus) != noErr)						\
			NonFatalError((errStatus), (errMessage));	\
	} while (0)
void						NonFatalError(
		OSErr					errorStatus,
		ConstStr255Param		errorMsg
	);
void						FatalError(
		OSErr					errorStatus,
		ConstStr255Param		errorMsg
	);
short						ErrorMessage(
		short					alertID,
		OSErr					errorStatus,
		ConstStr255Param		errorMsg
	);
void						Message(
		ConstStr255Param		message
	);

#define height(box)				(box.bottom - box.top)
#define width(box)				(box.right - box.left)
void						pstrcpy(
		StringPtr				dst,
		ConstStr255Param		src
	);
void						pstrcat(
		StringPtr				dst,
		ConstStr255Param		src
	);


/*
 * Cheap 'n dirty memory clear routine.
 */
#define CLEAR(record) do {								\
		register char	*ptr = (char *) &record;		\
		register long	size;							\
		for (size = sizeof record; size > 0; --size)	\
			*ptr++ = 0;									\
	} while (0)

/*
 * Globals
 */
EXTERN EventRecord			gEventRecord;
EXTERN Boolean				gInForeground;
EXTERN Boolean				gUpdateMenusNeeded;
EXTERN long					gSleepTime;
EXTERN Boolean				gQuitNow;
EXTERN MenuHandle			gAppleMenu;
EXTERN MenuHandle			gFileMenu;
EXTERN MenuHandle			gEditMenu;
EXTERN THPrint				gPrintHandle;
EXTERN Boolean				gOpenAppCalled;

#endif /* REZ */
