/*									LoadDriverTest.r								*/
/*
 * LoadDriverTest.r
 * Copyright  1993-95 Apple Computer Inc. All rights reserved.
 */
#ifndef SystemSevenOrLater
#define SystemSevenOrLater	1
#endif
#include "Types.r"
#include "SysTypes.r"
#include "LoadDriverTest.h"
#ifndef ISPPC
   << Error, ISPPC must be defined to configure 'cfrg' resource >>
#endif
include "::LoadDriverTestIcons.rsrc";

#if ISPPC
#include "CodeFragmentTypes.r"
#endif

resource 'vers' (1) {
	kVersionMajor, kVersionMinor, kVersionStage, kVersionRelease, verUS,
	$$format(
		"%d.%d%c%d",
		kVersionMajor, kVersionMinor, kVersionStageLetter, kVersionRelease
	),
	$$format(
		"%d.%d%c%d (%4d.%02d.%02d)\n 1992-%4d Apple Computer Inc. All Rights Reserved",
		kVersionMajor, kVersionMinor, kVersionStageLetter, kVersionRelease,
		$$year, $$month, $$day, $$year
	),
};

type kApplicationCreator as 'STR ';
resource kApplicationCreator (0, "Owner Resource", purgeable) {
	"Load Driver Test"
	" Copyright  1992-95 Apple Computer Inc. All Rights Reserved."
};


resource 'MBAR' (MBAR_MenuBar) {
	{
		MENU_Apple,
		MENU_File,
		MENU_Edit
	}
};

resource 'MENU' (MENU_Apple, "Apple Menu") {
	MENU_Apple,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
		"About Load Driver Test", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (MENU_File, "File Menu") {
	MENU_File,
	textMenuProc,
	0x0,
	enabled,
	"File",
	{
		"Open Driver",			noIcon, "O",	noMark, plain,
		"-",					noIcon, noKey,	noMark, plain,
		"Quit",					noIcon, "Q", 	noMark, plain
	}
};

resource 'MENU' (MENU_Edit, "Edit Menu") {
	MENU_Edit,
	textMenuProc,
	0x0,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		"Undo", noIcon, "Z", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Cut", noIcon, "X", noMark, plain,
		"Copy", noIcon, "C", noMark, plain,
		"Paste", noIcon, "V", noMark, plain,
		"Clear", noIcon, noKey, noMark, plain
	}
};
	

resource 'DLOG' (DLOG_About, "About Load Driver Test") {
		{100, 80, 270, 422},
		dBoxProc,
		invisible,
		noGoAway,
		0x0,
		DLOG_About,
		"",
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (DLOG_About, "About Load Driver Test") {
	{
		{140, 260, 160, 322}, Button		{ enabled,	"OK"					},
		{ 10,  10, 136, 324}, StaticText	{ disabled,
			"Load Driver Test examines 'ndrv' device drivers.\n"
			"Written by Martin Minow, Developer Technical Support.\n"
			"Copyright  1992-95 Apple Computer Inc."
			" All rights reserved."
		},
	}
};


resource 'ALRT' (ALRT_NonFatalError, "System Error", purgeable) {
		{100, 80, 230, 422},
		ALRT_NonFatalError,
		{
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent
		},
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (ALRT_NonFatalError, "System Error", purgeable) {
	{
		{100, 160, 120, 208}, Button		{ enabled,	"Exit"					},
		{100, 236, 120, 320}, Button		{ enabled,	"Continue"				},
		{ 10, 110,  96, 324}, StaticText	{ disabled, "System Error ^0. ^1"	},
		{ 47,  20,  64,  80}, StaticText	{ disabled, "Error"					}
	}
};

resource 'ALRT' (ALRT_FatalError, "Fatal Error", purgeable) {
		{100, 80, 230, 422},
		ALRT_FatalError,
		{
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent
		},
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (ALRT_FatalError, "Fatal Error", purgeable) {
	{
		{100, 240, 120, 322}, Button		{ enabled,	"Exit"					},
		{ 10, 110,  96, 324}, StaticText	{ disabled,
										"System Error (cannot recover) ^0. ^1"	},
		{ 47,  20,  64,  80}, StaticText	{ disabled, "Error"					}
	}
};

resource 'ALRT' (ALRT_FragLoadErr, "Fragment Load Error", purgeable) {
		{100, 80, 230, 422},
		ALRT_FragLoadErr,
		{
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent
		},
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (ALRT_FragLoadErr, "Fragment Load Error", purgeable) {
	{
		{100, 240, 120, 322}, Button		{ enabled,	"Continue"				},
		{ 10, 110,  96, 324}, StaticText	{ disabled,
			"Can't Load Fragment, status ^0,"
			" from file \"^1\","
			" (\"^2\")"
		},
		{ 47,  20,  64,  80}, StaticText	{ disabled, "Error"					}
	}
};

resource 'ALRT' (ALRT_SymbolErr, "Missing Symbol Error", purgeable) {
		{100, 80, 230, 422},
		ALRT_SymbolErr,
		{
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent
		},
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (ALRT_SymbolErr, "Missing Symbol Error", purgeable) {
	{
		{100, 240, 120, 322}, Button		{ enabled,	"Continue"				},
		{ 10, 110,  96, 324}, StaticText	{ disabled,
			"Missing exported symbol, status ^0,"
			" from file \"^1\","
			" symbol \"^2\""
		},
		{ 47,  20,  64,  80}, StaticText	{ disabled, "Error"					}
	}
};


resource 'ALRT' (ALRT_DriverOK, "Driver OK Message", purgeable) {
		{100, 80, 230, 422},
		ALRT_DriverOK,
		{
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent
		},
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (ALRT_DriverOK, "Driver OK Message", purgeable) {
	{
		{100, 240, 120, 322}, Button		{ enabled,	"OK"				},
		{ 10, 110,  96, 324}, StaticText	{ disabled,
			"Driver \"^0\" is ok,\n"
			"Device \"^1\",\n"
			"Driver \"^2\""
		},
	}
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	393216,
	393216
};

resource 'BNDL' (128) {
	kApplicationCreator,
	0,
	{
		'FREF',	{ 0, 128, 1, 129 },
		'ICN#',	{ 0, 128, 1, 129 }
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'ndrv',
	1,
	""
};

#if ISPPC	
resource 'cfrg' (0) {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"Display Driver Log"
	}
};
#endif

